﻿html {
    font-size: 0.8em;
}

.smallText {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.smallText2 {
    overflow: hidden;
}

@media (max-width: 1200px) {
    html {
        font-size: 0.6em;
    }
}

@media (max-width: 768px) {
    html {
        font-size: 0.5em;
    }
}

html {
    position: relative;
    min-height: 100%;
}

body {
    /*margin-bottom: 60px;*/
    background-image: url(../Image/bg3.png);
}


.autocomplete-custom-combobox {
    position: relative;
    display: inline-block;
    width: 100%;
}

    .autocomplete-custom-combobox + label {
        color: red;
    }

.autocomplete-custom-combobox-toggle {
    position: absolute;
    top: 0;
    bottom: 0;
    margin-left: -1px;
    padding: 0;
}

.autocomplete-custom-combobox-input {
    margin: 0;
    padding: 5px 1px;
    width: 94%;
}

.ui-menu-item-wrapper {
    color: red;
}

.ui-autocomplete-input {
    height: calc(3.5rem + 2px);
    padding-top: 1.625rem;
    padding-bottom: 0.625rem;
}



#DivOverlay {
    position: fixed; /* Sit on top of the page content */
    display: none; /* Hidden by default */
    width: 100%; /* Full width (cover the whole page) */
    height: 100%; /* Full height (cover the whole page) */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(128,128,128,0.95); /* Black background with opacity */
    z-index: 99; /* Specify a stack order in case you're using a different order for other elements */
    cursor: pointer; /* Add a pointer on hover */
}


#DivOverlay_small {
    position: fixed; /* Sit on top of the page content */
    display: none; /* Hidden by default */
    width: 100%; /* Full width (cover the whole page) */
    height: 100%; /* Full height (cover the whole page) */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(128,128,128,0.95); /* Black background with opacity */
    z-index: 2; /* Specify a stack order in case you're using a different order for other elements */
    cursor: pointer; /* Add a pointer on hover */
}

.DivOverlay_center_div {
    position: fixed;
    margin: auto;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 3px;
    text-align: center;
}

.DivOverlay_Pos_iFrame {
    position: absolute;
    left: 2%;
    right: 2%;
    top: 5%;
    bottom: 2%;
    width: 96%;
    height: 93%;
    scrollbar-base-color: white;
    border: none;
}


.DivOverlay_Pos_iFrame_small {
    position: absolute;
    left: 20%;
    right: 20%;
    top: 20%;
    bottom: 20%;
    width: 60%;
    height: 60%;
    scrollbar-base-color: white;
    border: none;
}

.MyShadow {
    box-shadow: 1px 10px 6px 10px rgba(0, 0, 0, 0.24), 10px 10px 8px rgba(0, 0, 0, 0.24);
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    border-radius: 3px 4px;
}

.InLinecheckbox {
    margin: 30px 0 0 0;
}

.navbar {
    padding-top: 0;
    padding-bottom: 0;
}

.navbar {
    position: fixed; /* Set the navbar to fixed position */
    top: 0; /* Position the navbar at the top of the page */
    width: 100%; /* Full width */
    z-index: 1000;
}

.main {
    margin-top: 40px; /* Add a top margin to avoid content overlay */
}

.Col_hidden {
    display: none;
    visibility: hidden;
}

.testo_piccolo {
    font-size: 15px; /* var(--bs-body-font-size); */
    border-top: 0;
}

.row {
    /*border: 1px solid red;*/
}

.DivRowMinime row {
    padding: 0;
    margin: 0;
}

.nascosto {
    display: none;
}

.buttons-create {
    color: #fff !important;
    background-color: #369 !important;
    border-color: #369 !important;
    font-weight: 700 !important;
    margin-left: 10px !important;
}

    .buttons-create::before {
        content: "+ ";
    }

.accordion-button:not(.collapsed) {
    color: #fff;
    background-color: #369;
}

.accordion-button.collapsed {
    color: black;
    background-color: #bcbcbc;
    /* lightsteelblue  ;*/
}

.accordion-button:focus {
    border-color: lightblue;
}

.accordion-item {
    border: 0;
}

.accordion-body {
    background-color: var(--bs-body-bg);
}

.accordion-header {
    margin-bottom: 2px !important;
}

.accordion-button:focus {
    box-shadow: 0 0 0 0rem black;
}

.btn-clienti {
    width: 90%;
    background-color: coral;
    text-overflow: ellipsis;
    overflow: hidden;
}

.navbar-nav {
    white-space: nowrap;
}

.ico_menu_xpress {
    width: 24px;
    height: 24px;
    border: none;
}

.ico_title_xpress {
    width: 36px;
    height: 36px;
    border: none;
}

.distanziaSX {
    position: absolute;
    left: 120px;
}
/*.form-floating input {
    font-size: 14px ;
}
.form-floating > .form-control, .form-floating > .form-select {
    height: calc(2.6rem + 3px);
}*/


@media (min-width:576px) {
    .container, .container-sm {
        max-width: 98%;
    }
}

@media (min-width:768px) {
    .container, .container-md, .container-sm {
        max-width: 98%;
    }
}

@media (min-width:992px) {
    .container, .container-lg, .container-md, .container-sm {
        max-width: 98%;
    }
}

@media (min-width:1200px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl {
        max-width: 95%;
    }
}

@media (min-width:1400px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 95%;
    }
}


.bg-Lavanda-rosato {
    background-color: rgb(255,240,245);
}

.bg-Lavanda-rosa {
    background-color: rgb(251, 174, 210);
}

.bg-Lavanda-blu-pervinca {
    background-color: rgb(204, 204, 255);
}

.bg-Salvia {
    background-color: #e5e8e2;
}

.bg-Tungsteno {
    background-color: #e8e5e2;
}

.bg-Tungsteno-strong {
    background-color: #bcbcbc;
}

.bg-primary-loggedout {
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-primary-rgb),var(--bs-bg-opacity)) !important;
}



.bg-evidenzia {
    --bs-bg-opacity: 1;
    /* background-color: rgba(var(--bs-success-rgb),var(--bs-bg-opacity)) !important;*/
    background-color: rgba(255,229,153) !important;
}

.bg-piu-usati {
    --bs-bg-opacity: 1;
    background-color: mistyrose !important;
}

#select2-Consegne_sc_addeb-container {
    background-color: mistyrose !important;
}

a.btn.btn-info {
    /*height: 30px !important;*/
}

.my_elipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

/**/

/*.dt-left tronca {
    width: 20px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 0;
    background: white;
    resize: horizontal;
}*/

/*td {
    max-width: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}*/


.tronca120 {
    max-width: 120px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 0;
    font-size: 0.8em;
}

    .tronca120:hover {
        text-overflow: clip;
        white-space: normal;
        word-break: break-all;
    }

table .btn {
    padding: .100rem 0.5rem !important;
}

.zoomable {
    border-color: hotpink;
}

.in_win_menu {
    padding-left: 50px;
    padding-right: 50px;
    padding-top: 5px;
    padding-bottom: 5px;
    background-color: lightsteelblue;
    border-top: 2px solid darkgray;
    border-bottom: 1px solid darkgray;
}



    .in_win_menu .btn-info, .in_win_menu .btn-danger {
        margin-top: 0px;
        height: 100% !important;
    }

.bg-navbar {
    background-color: #369;
}

.nav-link {
    color: white !important;
}

.dataTables_length {
    margin-right: 3px;
}

/*.button:has(> span) {
    background-color: hotpink !important;
}*/
.buttons-excel span::before {
    background-color: green !important;
    background-image: url(../Image/excel.png);
    background-repeat: no-repeat;
    background-position: left;
    padding-left: 16px;
    content: " ";
}

.buttons-excel i::after {
    content: "  Esporta ";
}
.buttons-excel {
    background-color: white !important;
}

.dataTables_filter, .dataTables_length {
    background-color: white !important;
}

.btn-danger1 {
    background-color: darkred !important;
}

.Highlight {
    background-color: rgb(159,197,232) !important;
}

.Highlight-warm {
    background-color: lightgoldenrodyellow !important;
    color: black !important;
}

.Highlight-danger1 {
    background-color: palevioletred !important;
}

.Highlight-danger2 {
    background-color: olivedrab !important;
}

/* DIMESIONI ICONE NELLA DATATABLE*/
.bi {
    font-size: 12px;
}

table .btn {
    padding: 0.1rem 0.5rem !important;
}
    .select2-selection--single {
    height: calc(3.5rem + 2px) !important;
}

.select2-selection__rendered {
    padding-top: calc(1.5rem ) !important;
}

.validation-summary-errors {
    background-color: orangered !important;
    color: white !important;
    font-size: 1.3rem !important;
    border-radius: 0.25rem !important;
}

.buttons-excel2 {
    background-color: lightgreen !important;
    background-image: url(../Image/excel2.png) !important;
    background-repeat: no-repeat;
    background-position: left;
    background-position-x: 2px;
    padding-left: 30px;
    content: " ";
    color: black !important;
}

.buttons-excel3 {
    background-color: darkviolet !important;
    background-image: url(../Image/excel2.png) !important;
    background-repeat: no-repeat;
    background-position: left;
    background-position-x: 2px;
    padding-left: 30px;
    content: " ";
    color: white !important;
}

.buttons-text-vert-centra {
    display: flex;
    align-items: center;
    justify-content: center;
}
.form-control:focus {
    box-shadow: 0 0 0 .25rem #369 !important;
}

.toast {
    opacity: 1 !important;
    margin-top: 1.8rem !important;
    margin-left: 2.8rem !important;
}

/*PERSONALIZZAZIONE INTESTAZIONE DATATABLES*/
table.dataTable thead {
    background-color: gainsboro !important;
    border-radius: 0.5rem !important;
}

    table.dataTable thead > tr > th {
        font-weight: 100 !important;
    }
/*FINE - PERSONALIZZAZIONE INTESTAZIONE DATATABLES*/
table.dataTable {
    background-color: white !important;
}


/*PERSONALIZZAZIONE INTESTAZIONE MENU*/
.navbar {
    font-size: 18px;
    font-weight: 100;
}

h1 {
    font-weight: 100;
}

.btn {
    font-weight: 100;
}
/*FINE - PERSONALIZZAZIONE INTESTAZIONE MENU*/

.ico_title_xpress_small {
    width: 24px;
    height: 24px;
}

.DTtoolbar {
    float: left;
}

.DTtotale {
    margin-left: 10px;
    margin-right: 10px;
}

table.dataTable td.focus {
    outline: 1px solid white !important;
    outline-offset: -4px !important;
    background-color: white !important;
}

.drop_file {
    width: 21em;
    height: 21em;
    background-color: floralwhite !important;
    border: 2px solid black;
}

.bulletinboard_out {
    border-radius: .25rem;
    padding: 10px 10px 20px 10px;
    border: 1px solid #BFBFBF;
    background-color: lightgray;
    box-shadow: rgba(0, 0, 0, 0.1) 1px 1px 1px, rgba(0, 0, 0, 0.12) 0px -2px 3px, rgba(0, 0, 0, 0.12) 0px 1px 1px, rgba(0, 0, 0, 0.17) 0px 5px 6px, rgba(0, 0, 0, 0.09) 0px -3px 1px;
}

.bulletinboard_in {
    text-decoration: none;
}

.select2-selection--multiple {
    min-height: 48px !important;
    
}

.select2-selection--multiple {
    /*padding-top: 15px !important;*/
    padding-top: calc(1.3rem ) !important;
}
/*.form-floating {
    border: 1px solid black !important;
}

.in_win_menu {
    border: 1px solid black !important;
}*/

.h100-scroll  { /* to scroll col individually*/
    max-height: 50vh !important;
    overflow: auto !important;
}


.select2-container .select2-search--inline .select2-search__field {
    box-sizing: border-box;
    border: none;
    font-size: 100%;
    margin-top: 5px; 
    padding: 0;
}


.select2-container .select2-selection--multiple {
    height: auto !important;
    margin: 0;
    padding: 0;
    line-height: inherit;
    border-radius: 0;
}

.select2-container .select2-search--inline .select2-search__field {
    margin: 0;
    padding: 0;
    min-height: 0;
}

.select2-container .select2-search--inline {
    line-height: inherit;
}